> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-prompts.md).

# Playbook Prompts

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts

> Get all prompts for a playbook group.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts":{"get":{"tags":["Playbook Prompts"],"summary":"Get all prompts for a playbook group.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"flatten","in":"query","schema":{"type":"boolean"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts

> Create a new prompt for a playbook group.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptRequest":{"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest"},"nullable":true},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest":{"required":["promptPredicateObjectIdentifier"],"type":"object","properties":{"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.PromptCategoryConditionRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.PromptCategoryConditionRequest":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts":{"post":{"tags":["Playbook Prompts"],"summary":"Create a new prompt for a playbook group.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/duplicate

> Duplicate a prompt as a new prompt (copies heading, description, prompt text, mentions and conditions).

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/duplicate":{"post":{"tags":["Playbook Prompts"],"summary":"Duplicate a prompt as a new prompt (copies heading, description, prompt text, mentions and conditions).","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/prompts

> Get all prompts across all playbook groups (flattened view).

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/prompts":{"get":{"tags":["Playbook Prompts"],"summary":"Get all prompts across all playbook groups (flattened view).","parameters":[{"name":"flatten","in":"query","schema":{"type":"boolean"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}

> Get a specific prompt by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}":{"get":{"tags":["Playbook Prompts"],"summary":"Get a specific prompt by object identifier.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}

> Update an existing prompt for a playbook group.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptRequest":{"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean","nullable":true},"includeDocuments":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}":{"put":{"tags":["Playbook Prompts"],"summary":"Update an existing prompt for a playbook group.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}

> Delete a prompt from a playbook group.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse":{"type":"object","properties":{"isUsed":{"type":"boolean"},"usedInAssemblies":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}":{"delete":{"tags":["Playbook Prompts"],"summary":"Delete a prompt from a playbook group.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}/ancestors

> Get ancestors of a specific prompt by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}/ancestors":{"get":{"tags":["Playbook Prompts"],"summary":"Get ancestors of a specific prompt by object identifier.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/ancestors-by-parent

> Get ancestors by parent object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/ancestors-by-parent":{"get":{"tags":["Playbook Prompts"],"summary":"Get ancestors by parent object identifier.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/mention-options

> Filters that the given prompt is allowed to reference in a mention or condition: ancestors plus same-level prompts in the playbook group, with any filter that already mentions the target removed (cycle protection). Pass objectIdentifier when editing an existing prompt; pass parentObjectIdentifier when configuring a new prompt under a parent.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/mention-options":{"get":{"tags":["Playbook Prompts"],"summary":"Filters that the given prompt is allowed to reference in a mention or condition: ancestors plus same-level prompts in the playbook group, with any filter that already mentions the target removed (cycle protection). Pass objectIdentifier when editing an existing prompt; pass parentObjectIdentifier when configuring a new prompt under a parent.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}}}}}}}}
```

## PUT /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}/position

> Update the position of a prompt in the playbook prompt tree.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptPositionRequest":{"type":"object","properties":{"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"orderNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"orderNumber":{"type":"integer","format":"int32","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"tokenCount":{"type":"integer","format":"int32"},"conditionOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ConditionOperator"},"reasoningEffort":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ChatCompletion.JyloEffort"},"canEdit":{"type":"boolean"},"includeDocuments":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.Constants.ConditionOperator":{"enum":["and","or"],"type":"string"},"Jylo.Toolkit.Entities.ChatCompletion.JyloEffort":{"enum":["none","minimal","low","medium","high","xHigh","max"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"Jylo.Toolkit.API.Validators.ValidationErrorModel":{"required":["errorCode"],"type":"object","properties":{"errorCode":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"errors":{"type":"array","items":{},"nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{objectIdentifier}/position":{"put":{"tags":["Playbook Prompts"],"summary":"Update the position of a prompt in the playbook prompt tree.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptPositionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptPositionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.UpdatePromptPositionRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationErrorModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationErrorModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationErrorModel"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/preview

> Get a preview of all prompts for a playbook group.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"groupObjectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/preview":{"get":{"tags":["Playbook Prompts"],"summary":"Get a preview of all prompts for a playbook group.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"flatten","in":"query","schema":{"type":"boolean"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptPreviewResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-prompts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
